Subject: bug#39043: closed (Re: bug#39043: Channels error is too vague)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 09 Jan 2020 22:41:02 +0000

Your bug report

#39043: Channels error is too vague

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39043: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39043
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#39043: Channels error is too vague
From: Ludovic Courtès <[email-masked]>
To: Jesse Gibbons <[email-masked]>
Cc: [email-masked]
Date: Thu, 09 Jan 2020 23:40:15 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Jesse Gibbons <[email-masked]> skribis:

> When I create a channel and leave out %default-channels, it gives me an
> error. "error: 'guix' channel is lacking". This is unclear.
> I asked about it on IRC, and was told it refers to a channel called
> guix. The error message should elaborate that guix expects a channel
> with the name "guix".

Commit f75243e17e3ff88582314bcb8450e654bb0b556b fixes it.

Thanks,
Ludo’.

Subject: Channels error is too vague
From: Jesse Gibbons <[email-masked]>
To: [email-masked]
Date: Wed, 08 Jan 2020 13:22:51 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

When I create a channel and leave out %default-channels, it gives me an
error. "error: 'guix' channel is lacking". This is unclear.
I asked about it on IRC, and was told it refers to a channel called
guix. The error message should elaborate that guix expects a channel
with the name "guix".